.adjust-input-text {
    height: calc(2.25rem + 2px);
}

.borderless td, .borderless th {
    border: none;
}

.no-margin-bottom {
    margin-bottom: 0px;
}

.no-padding {
    padding: unset;
}

.border-bottom {
    border-bottom: 2px solid #dee2e6;
}
.mt-0 {
    margin-top: 0!important;
}
.mt-1 {
    margin-top: 0.5rem!important;
}
.mt-2 {
    margin-top: 1rem!important;
}
.mt-3 {
    margin-top: 1.5rem!important;
}
.mt-4 {
    margin-top: 3rem!important;
}
.mt-5 {
    margin-top: 4.5rem!important;
}

.btn-link.text-reset {
    padding: 0!important;
    font-size: 0.8rem;
}

.vertical-center{
    display: flex;
    align-items: center;
}

.table-primary-head  {
    background-color:  #0c4a6e;
    color: white;
}

.table-warning-head  {
    background-color:  #6a8b8a;
    color: white;
}

.tr-custom-colors>tbody>tr:nth-child(odd)>.td-warning {
   background-color: #b7e6e3;
 }

.tr-custom-colors>tbody>tr:nth-child(even)>.td-warning {
   background-color: #9bc5c3;
 }

 .warning-light {
    background-color: #9bc5c3;
}


.table-yellow-head  {
    background-color:  #ddbf50;
    color: white;
}

.tr-custom-colors>tbody>tr:nth-child(odd)>.td-yellow {
   background-color: #FAE392;
 }

.tr-custom-colors>tbody>tr:nth-child(even)>.td-yellow {
   background-color: #FBD85D;
 }

 .yellow-light {
    background-color: #FAE392;
}

 .tr-custom-colors>tbody>tr:nth-child(odd)>.td-primary {
   background-color: #95dafa;
 }

.tr-custom-colors>tbody>tr:nth-child(even)>.td-primary {
   background-color: #7dd3fc;
 }

.primary-light {
    background-color: #7dd3fc;
}

.color-white {
    color:#f9eaea;
}

.dt-button-collection .dt-button.buttons-columnVisibility {
    background: none !important;
    background-color: transparent !important;
    box-shadow: none !important;
    border: none !important;
    padding: 0.25em 1em !important;
    margin: 0 !important;
    text-align: left !important;
}
.dt-button-collection .buttons-columnVisibility:before,
.dt-button-collection .buttons-columnVisibility.active span:before {
    display:block;
    position:absolute;
    top:1.2em;
    left:0;
    width:12px;
    height:12px;
    box-sizing:border-box;
}
.dt-button-collection .buttons-columnVisibility:before {
    content:' ';
    margin-top:-8px;
    margin-left:10px;
    border:1px solid black;
    border-radius:3px;
}
.dt-button-collection .buttons-columnVisibility.active span:before {
    font-family: 'Arial' !important;
    content:'\2714';
    margin-top: -15px;
    margin-left: 12px;
    text-align: center;
    text-shadow: 1px 1px #fff, -1px -1px #fff, 1px -1px #fff, -1px 1px #fff;
}
.dt-button-collection .buttons-columnVisibility span {
    margin-left:17px;    
}

.status-circle {
    background-color:#fff;
    border:1px solid #626262;
    display:inline-block;
    height:10px;
    width:10px;
    border-radius:50%;
    box-sizing: border-box;
    -moz-border-radius:50%;
    -webkit-border-radius:50%;
}

.status-circle.unknown{
    background-color:lightgrey;
}

.status-circle.startup{
    background-color: yellow;
}

.status-circle.active{
    background-color:lightblue;
}

.status-circle.enrolling{
    background-color:green;
}

.status-circle.closed{
    background-color:red;
}

.status-circle.on_hold{
    background-color: orange;
}

.status-circle.not_activated{
    background-color: black;
}

.required:after {
    content:" *";
    color: red;
}

.main-sidebar .sidebar {
    overflow-y: scroll;
}

.handwritten {
    font-family: 'Yellowtail';
    font-size: 30px;
}

/* latin */
@font-face {
    font-family: 'Yellowtail';
    font-style: normal;
    font-weight: 400;
    font-display: swap;
    src: url(/fonts/yellowtail.woff2) format('woff2');
    unicode-range: U+0000-00FF, U+0131, U+0152-0153, U+02BB-02BC, U+02C6, U+02DA, U+02DC, U+0304, U+0308, U+0329, U+2000-206F, U+2074, U+20AC, U+2122, U+2191, U+2193, U+2212, U+2215, U+FEFF, U+FFFD;
}

.status-circle {
    background-color:#fff;
    border:1px solid #626262;
    display:inline-block;
    height:10px;
    width:10px;
    border-radius:50%;
    box-sizing: border-box;
    -moz-border-radius:50%;
    -webkit-border-radius:50%;
}

.status-circle.unknown{
    background-color:lightgrey;
}

.status-circle.startup{
    background-color: yellow;
}

.status-circle.active{
    background-color:lightblue;
}

.status-circle.enrolling{
    background-color:green;
}

.status-circle.closed{
    background-color:red;
}

.status-circle.on_hold{
    background-color: orange;
}

.status-circle.not_activated{
    background-color: black;
}

.missing-orverdue{
    background-color: #F0E68C;
}

.missing-out-of-compliance{
    background-color: #F88379;
}

.filed-overdue{
    background-color: #FEBE10;
}

.filed-out-of-compliance{
    background-color: #FF6347;
}

.evisionLoading {
    background: url('../images/evision_loading.gif') no-repeat center center;
    display: inline-block;
    width: 3rem;
    height: 2rem;
    vertical-align: text-bottom;
}

.fileColumn {
    white-space: nowrap;
}

.fileColumn span {
    overflow: hidden;
    text-overflow: ellipsis;
    max-width: 80ch;
    display: inline-block;
}

.legend-nav-menu {
    list-style: none;
    padding: 0;
    margin: 0;
    display: flex;
    flex-wrap: wrap;
}

.legend-nav-menu li {
    display: inline-block;
    flex: 1 1 100%;
    margin: 5px;
    min-width: 120px;
}

.nav-menu li * {
    display: block;
    width: 100%;
    text-align: center;
    padding: 10px 0;
}

@media (max-width: 575.98px) {
    .navbar-nav {
        flex-direction: column;
    }
    .navbar-nav .nav-item {
        margin-bottom: 5px;
    }
    #openEmailModalButton {
        margin-bottom: 10px;
    }
    .navbar-text {
        max-width: calc(100% - 100px); /* Adjust based on logo and toggle button width */
        overflow: hidden;
    }
    #mobile-navbar-study-text, #mobile-navbar-header-text {
        white-space: nowrap;
        overflow: hidden;
        text-overflow: ellipsis;
    }
    
    /* Hide the second hamburger button */
    #navbarContent #navbar-toggler {
        display: none;
    }
    
    /* Hide the title inside the hamburger menu */
    #navbarContent .text-center {
        display: none;
    }
}

@media all and (min-width: 480px) {
    .desktopContent {display:block;}
    .phoneContent {display:none;}
}

@media all and (max-width: 479px) {
    .desktopContent {display:none;}
    .phoneContent {display:block;}
}

.breadcrumb-item {
    text-transform: uppercase !important;
}

.bg-etmf-filled {
    background-color: #40c671;
}

.bg-etmf-filled:hover {
    background-color: #16D45C;
}

.bg-etmf-missing {
    background: #B3E8C6;
}

.opacity75 {
    opacity: 0.75;
}

.opacity60 {
    opacity: 0.60;
}

.export-only {
    display: none;
}